Bug 11280 - printmanagement.msc: Empty printer list on Win7 and Win10
printmanagement.msc: Empty printer list on Win7 and Win10
Status: RESOLVED INVALID
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
4.2.1
All All
: P5 normal
: ---
Assigned To: printing-maintainers
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-19 10:58 UTC by Marc Muehlfeld
Modified: 2016-11-24 15:50 UTC (History)
1 user (show)

See Also:


Attachments
Screenshot Win7 (59.69 KB, image/png)
2015-05-19 10:58 UTC, Marc Muehlfeld
no flags Details
Logfiles (369.91 KB, application/octet-stream)
2015-05-19 11:00 UTC, Marc Muehlfeld
no flags Details
logfiles (307.12 KB, application/octet-stream)
2015-05-19 11:33 UTC, Marc Muehlfeld
no flags Details
Level 10 debug log (230.65 KB, application/x-gzip)
2016-11-10 17:55 UTC, Marc Muehlfeld
no flags Details
pcap file (51.49 KB, application/octet-stream)
2016-11-24 15:09 UTC, Andreas Schneider
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Muehlfeld 2015-05-19 10:58:06 UTC
Created attachment 11067 [details]
Screenshot Win7

When connecting with printmanagement.msc to a Samba print server, the printer list isn't shown when using Windows 7. In Windows 8.1 it works.

Attached a screenshot showing the empty list in printermanagement.msc on Win7 and the printer list, when accessing the remote printers via \\hostname.

Also attached a level 10 debug log Win7 + Win81 showing a refresh try of the printer list.
Comment 1 Marc Muehlfeld 2015-05-19 11:00:25 UTC
Created attachment 11068 [details]
Logfiles
Comment 2 Marc Muehlfeld 2015-05-19 11:33:07 UTC
Created attachment 11069 [details]
logfiles

Uploading the logfiles again.

It contains now not just the refresh of the printer node. Now it also contains opening printmanagement.msc and clicking to the printer list.
Comment 3 Marc Muehlfeld 2016-08-25 23:58:23 UTC
Update:

I re-tested this with a Samba 4.5.0rc2 print server: The printers are listed only on Windows 8.1, but not on Windows 7 and 10.

Windows 7: fail
Windows 8.1: OK
Windows 10: fail
(all MS updates until Jul 2016 applied)
Comment 4 Andreas Schneider 2016-11-10 07:45:56 UTC
I had the same issue under Windows 10. It started to work installing RSAT tools.

Please test if it works changing the OSVersion:

spoolss:os_major = 5
spoolss:os_minor = 2
spoolss:os_build = 3790
Comment 5 Andreas Schneider 2016-11-10 07:50:49 UTC
Also try setting:

spoolss:architecture = Windows x64
Comment 6 Marc Muehlfeld 2016-11-10 17:55:27 UTC
Created attachment 12644 [details]
Level 10 debug log

I re-tried it with the settings from comment #4 and comment #5. They don't help.

Find attached a new log capture. It contains:
- opening the printmanagement.msc utility
- selecting the "Printers" node of the server

Win7 64-bit, patch level: Jun 2016
Samba 4.5.1
Comment 7 Andreas Schneider 2016-11-22 19:44:36 UTC
This is a bug in Windows and it looks like it is there since Windows XP.

The Print Management console uses notification to get the printers.

The manager calls

RpcOpenPrinterEx() followed by
RpcRouterRefreshPrinterChangeNotification()

This doesn't work. As [MS-RPRN] states:

hPrinter: A handle to a printer object or server object that was opened by
RpcAddPrinter (section 3.1.4.2.3), RpcAddPrinterEx (section 3.1.4.2.15),
RpcOpenPrinter (section 3.1.4.2.2), or RpcOpenPrinterEx (section 3.1.4.2.14).

This handle MUST have been previously used successfully by the client in a call to
RpcRemoteFindFirstPrinterChangeNotification (section 3.1.4.10.3) or
RpcRemoteFindFirstPrinterChangeNotificationEx (section 3.1.4.10.4), and it MUST NOT have been closed by calling RpcFindClosePrinterChangeNotification (section 3.1.4.10.2).


The RpcRemoteFindFirstPrinterChangeNotificationEx() is not issued. The same happens against Windows Server 2003.

I will upload a capture showing the issue tomorrow.


A workaround is to install the RSAT tools.
Comment 8 Andreas Schneider 2016-11-24 15:09:42 UTC
Created attachment 12690 [details]
pcap file
Comment 9 Andreas Schneider 2016-11-24 15:50:33 UTC
This is a Windows bug. Reported to Microsoft ...